Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_ProxyPushSupplier Class Reference

ProxyPushSupplier. More...

`#include <EC_ProxySupplier.h>`

Inheritance diagram for TAO_EC_ProxyPushSupplier:

[legend]
Collaboration diagram for TAO_EC_ProxyPushSupplier:

[legend]
List of all members.

## Public Types
typedef RtecEventChannelAdmin::ProxyPushSupplier | Interface
typedef RtecEventChannelAdmin::ProxyPushSupplier_var | _var_type
typedef RtecEventChannelAdmin::ProxyPushSupplier_ptr | _ptr_type
## Public Methods
| TAO_EC_ProxyPushSupplier (TAO_EC_Event_Channel_Base *event_channel, int validate_connection)
| Constructor...
virtual | ~TAO_EC_ProxyPushSupplier (void)
| Destructor...

## Detailed Description

ProxyPushSupplier.

Implement the RtecEventChannelAdmin::ProxyPushSupplier interface, remember that this class is used to communicate with a PushConsumer, so, in effect, this is the ambassador for a consumer inside the event channel.

## Memory Management

It does not assume ownership of the TAO_EC_Dispatching object. It makes a copy of the ConsumerQOS and the consumer object reference.

## Locking

Locking is strategized, the event channel acts as a factory for the locking strategies.

Todo:
  We don't need to provide a trivial filter, the object itself could short-circuit the filter() ---> push() cycle when the EC is properly configured, we need to explore this...

## Member Typedef Documentation

typedef RtecEventChannelAdmin::ProxyPushSupplier_ptr TAO_EC_ProxyPushSupplier::_ptr_type

typedef RtecEventChannelAdmin::ProxyPushSupplier_var TAO_EC_ProxyPushSupplier::_var_type

typedef RtecEventChannelAdmin::ProxyPushSupplier TAO_EC_ProxyPushSupplier::Interface

## Constructor & Destructor Documentation

TAO_EC_ProxyPushSupplier::TAO_EC_ProxyPushSupplier | ( | TAO_EC_Event_Channel_Base * | event_channel,
|  | int | validate_connection
| ) |

| Constructor...

TAO_EC_ProxyPushSupplier::~TAO_EC_ProxyPushSupplier | ( | void |  | ) | `[virtual]`

| Destructor...

The documentation for this class was generated from the following files:

- EC_ProxySupplier.h
- EC_ProxySupplier.cpp